unit dt_options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, IniFiles, ExtCtrls, Spin, ShellApi;

type
  TForm2 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    GroupBox3: TGroupBox;
    TrackBar1: TTrackBar;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    ComboBox1: TComboBox;
    Label7: TLabel;
    ColorDialog1: TColorDialog;
    Panel1: TPanel;
    Label8: TLabel;
    SpinEdit1: TSpinEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    CheckBox3: TCheckBox;
    Label15: TLabel;
    Label16: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure Panel3Click(Sender: TObject);
    procedure Panel2Click(Sender: TObject);
    procedure Label12MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label13MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label12Click(Sender: TObject);
    procedure Label13Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  ini_settings2: TIniFile;

implementation

{$R *.dfm}

uses Mw;

procedure TForm2.FormCreate(Sender: TObject);
var
 s: string;
begin
 ComboBox1.Items.Assign(Screen.Fonts);

 ini_settings2:=TIniFile.Create(ExtractFilePath(Application.Exename)+'DesktopMixer.ini');

 TrackBar1.Position:=ini_settings2.ReadInteger('Options','MixSpeed',500);
 CheckBox3.Checked:=ini_settings2.ReadBool('Options','ShowTime',true);
 CheckBox2.Checked:=ini_settings2.ReadBool('Options','ExitOnEscape',CheckBox2.Checked);
 CheckBox1.Checked:=ini_settings2.ReadBool('Options','ExitOnMouseClick',CheckBox1.Checked);
 Edit1.Text:=ini_settings2.ReadString('Options','Text','www.delphisources.ru');
 Panel1.Color:=ini_settings2.ReadInteger('Options','FonColor',255);
 Panel2.Color:=ini_settings2.ReadInteger('Options','BorderColor',10344892);
 Panel3.Color:=ini_settings2.ReadInteger('Options','InnerColor',0);
 SpinEdit1.Value:=ini_settings2.ReadInteger('Options','FontSize',8);

 s:=ini_settings2.ReadString('Options','FontName','Arial');
 if Combobox1.Items.IndexOf(s)<>-1
 then Combobox1.ItemIndex:=Combobox1.Items.IndexOf(s);
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
 Close;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
 ini_settings2.WriteInteger('Options','MixSpeed',TrackBar1.Position);
 ini_settings2.WriteBool('Options','ShowTime',CheckBox3.Checked);
 ini_settings2.WriteBool('Options','ExitOnEscape',CheckBox2.Checked);
 ini_settings2.WriteBool('Options','ExitOnMouseClick',CheckBox1.Checked);
 ini_settings2.WriteString('Options','Text',Edit1.Text);
 ini_settings2.WriteString('Options','FontName',Combobox1.Text);
 ini_settings2.WriteInteger('Options','FonColor',Panel1.Color);
 ini_settings2.WriteInteger('Options','BorderColor',Panel2.Color);
 ini_settings2.WriteInteger('Options','InnerColor',Panel3.Color);
 ini_settings2.WriteInteger('Options','FontSize',SpinEdit1.Value);

 Close;
end;

procedure TForm2.TrackBar1Change(Sender: TObject);
begin
 Label5.Caption:=IntToStr(TrackBar1.Position);
end;

procedure TForm2.Panel1Click(Sender: TObject);
begin
 if ColorDialog1.Execute
 then Panel1.Color:=ColorDialog1.Color;
end;

procedure TForm2.Panel3Click(Sender: TObject);
begin
 if ColorDialog1.Execute
 then Panel3.Color:=ColorDialog1.Color;
end;

procedure TForm2.Panel2Click(Sender: TObject);
begin
 if ColorDialog1.Execute
 then Panel2.Color:=ColorDialog1.Color;
end;

procedure TForm2.Label12MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Label12.Font.Color:=clNavy;
 Label12.Font.Style:=[fsBold];
 Label13.Font.Color:=clBlack;
 Label13.Font.Style:=[];
end;

procedure TForm2.Label13MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Label13.Font.Color:=clNavy;
 Label13.Font.Style:=[fsBold];
 Label12.Font.Color:=clBlack;
 Label12.Font.Style:=[];
end;

procedure TForm2.Label12Click(Sender: TObject);
begin
 ShellExecute(0,'open','http://www.delphisources.ru','','',SW_SHOW);
 Label12.Font.Color:=clBlack;
 Label13.Font.Color:=clBlack;
 Label12.Font.Style:=[];
 Label13.Font.Style:=[];
end;

procedure TForm2.Label13Click(Sender: TObject);
begin
 ShellExecute(0,'open','mailto:admin_ds@delphisources.ru','','',SW_SHOW);
 Label12.Font.Color:=clBlack;
 Label13.Font.Color:=clBlack;
 Label12.Font.Style:=[];
 Label13.Font.Style:=[];
end;

end.
